package com.bocloud.cmp.model.xsky;

import java.util.Date;
import java.util.List;

public class FileUserGroupModel {
    private String name;
    private String userGroupUuid;
    private boolean available;
    private String type;
    private Date createTime;
    private Date updateTime;
    private String status;
    private List<FileUserModel> fsUsers;
    private List<Long> fileUserUuids;
    private Long memberNum;
    private boolean imported;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUserGroupUuid() {
        return userGroupUuid;
    }

    public void setUserGroupUuid(String userGroupUuid) {
        this.userGroupUuid = userGroupUuid;
    }

    public boolean isAvailable() {
        return available;
    }

    public void setAvailable(boolean available) {
        this.available = available;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public List<FileUserModel> getFsUsers() {
        return fsUsers;
    }

    public void setFsUsers(List<FileUserModel> fsUsers) {
        this.fsUsers = fsUsers;
    }

    public Long getMemberNum() {
        return memberNum;
    }

    public void setMemberNum(Long memberNum) {
        this.memberNum = memberNum;
    }

    public boolean isImported() {
        return imported;
    }

    public void setImported(boolean imported) {
        this.imported = imported;
    }

    public List<Long> getFileUserUuids() {
        return fileUserUuids;
    }

    public void setFileUserUuids(List<Long> fileUserUuids) {
        this.fileUserUuids = fileUserUuids;
    }
}
